Skip to content

Reverse a positive quantity from a prior consume ledger row.

POST
/api/workspace/entitlement-operations/entitlements/{entitlementId}/quantity/reverse
curl --request POST \
--url https://example.com/api/workspace/entitlement-operations/entitlements/example/quantity/reverse \
--header 'Content-Type: application/json' \
--data '{ "ConsumeLedgerEntryId": "example", "Quantity": 1, "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "ReasonCode": "example", "ReasonText": "example", "IdempotencyKey": "example", "SourceType": 0, "SourceData": "example" }'
  • None
entitlementId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Reverse a positive quantity from one prior consume ledger row.

object
ConsumeLedgerEntryId

Prior consume ledger entry being reversed.

string
nullable
Quantity

Positive amount to reverse.

number format: double
RowVersion

Optional concurrency token from the latest entitlement limit detail.

string format: uuid
nullable
ReasonCode

Optional structured reason for support and audit review.

string
nullable
ReasonText

Optional free-form reason for support and audit review.

string
nullable
IdempotencyKey

Optional key that prevents repeating the same reverse command.

string
nullable
SourceType
integer format: int32
Allowed values: 0 1 2 3 4
SourceData

Nullable JSON or text metadata for the source command.

string
nullable

OK

Media typeapplication/json
object
Data

Runtime entitlement detail response returned after reads, grants, renewals, lifecycle actions, and quantity operations.

object
Id

Stable entitlement identifier.

string
nullable
EntitlementNumber

Human-readable entitlement number used for support, audit review, and external references.

integer format: int64
EntitlementModelId

Entitlement model that owns the issued entitlement.

string
nullable
EntitlementModelDisplayName

Display name of the owning entitlement model.

string
nullable
ModelType
integer format: int32
Allowed values: 0 1 2 3
EntitlementPlanId

Plan snapshot used to issue the entitlement.

string
nullable
EntitlementPlanDisplayName

Display name of the issued plan.

string
nullable
EntitlementPlanDescription

Optional plan description captured for detail display.

string
nullable
Owner

Compact customer-owned entity instance reference.

object
EntityDefinitionId
string
nullable
EntityDisplayName
string
nullable
EntityInstanceId
string
nullable
DisplayName
string
nullable
Status
integer format: int32
Allowed values: 0 1 2 3 4 5 6
EffectiveState
integer format: int32
Allowed values: 0 1 2 3 4 5 6 8
StartsAtUtc

UTC instant when the entitlement becomes effective.

string format: date-time
EndsAtUtc

Optional UTC instant when the entitlement period ends.

string format: date-time
nullable
GraceUntilUtc

Optional UTC instant when the grace window ends.

string format: date-time
nullable
IssuedAtUtc

UTC instant when the entitlement was issued.

string format: date-time
IssuedByUserId

User id that issued the entitlement when available.

string
nullable
SourceType
integer format: int32
Allowed values: 0 1 2 3 4
SourceData

Optional source metadata captured with the issuing command.

string
nullable
IssuedTermsTextSnapshot

Terms text captured at issue time when the plan uses issued terms.

string
nullable
IssuedTermsCapturedAtUtc

UTC instant when issued terms were captured.

string format: date-time
nullable
Periods

Issued period history for the entitlement.

Array<object>
nullable

Issued period snapshot shown on entitlement detail.

object
Id
string
nullable
PeriodNumber
integer format: int32
StartsAtUtc
string format: date-time
EndsAtUtc
string format: date-time
nullable
GraceUntilUtc
string format: date-time
nullable
Status
integer format: int32
Allowed values: 0 1 2 3 4 5
Limits

Issued quantity or usage limits.

Array<object>
nullable

Issued limit snapshot shown on entitlement detail.

object
Id
string
nullable
LimitFamily
integer format: int32
Allowed values: 0 1 2 3
GrantedAmount
number format: double
nullable
AvailableAmount
number format: double
nullable
StartsAtUtc
string format: date-time
nullable
EndsAtUtc
string format: date-time
nullable
GraceUntilUtc
string format: date-time
nullable
ConsumedAmountSnapshot
number format: double
IsActive
boolean
RowVersion
string format: uuid
QuantityLedger

Recent quantity ledger rows shown on the detail response.

Array<object>
nullable

Compact quantity ledger row shown on entitlement detail.

object
Id
string
nullable
EntitlementLimitId
string
nullable
Operation
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8
Quantity
number format: double
BalanceAfter
number format: double
nullable
ReversesLedgerEntryId
string
nullable
ReversibleQuantity
number format: double
ReasonCode
string
nullable
ReasonText
string
nullable
SourceType
integer format: int32
Allowed values: 0 1 2 3 4
SourceData
string
nullable
ActorUserId
string
nullable
OccurredAtUtc
string format: date-time
CorrelationId
string
nullable
Resources

Covered resources attached to the entitlement.

Array<object>
nullable

Issued resource snapshot shown on entitlement detail.

object
Id
string
nullable
ResourceRoleId
string
nullable
ResourceRoleDisplayName
string
nullable
Resource

Compact customer-owned entity instance reference.

object
EntityDefinitionId
string
nullable
EntityDisplayName
string
nullable
EntityInstanceId
string
nullable
DisplayName
string
nullable
SortOrder
integer format: int32
Beneficiaries

Explicit beneficiaries attached to the entitlement.

Array<object>
nullable

Issued beneficiary snapshot shown on entitlement detail.

object
Id
string
nullable
BeneficiaryPartyRoleId
string
nullable
BeneficiaryPartyRoleDisplayName
string
nullable
Beneficiary

Compact customer-owned entity instance reference.

object
EntityDefinitionId
string
nullable
EntityDisplayName
string
nullable
EntityInstanceId
string
nullable
DisplayName
string
nullable
SortOrder
integer format: int32
RenewalPolicyIdSnapshot

Renewal policy id captured from the plan at issue time.

string
nullable
RenewalPolicyKeySnapshot

Renewal policy key captured from the plan at issue time.

string
nullable
RenewalModeSnapshot
integer format: int32
Allowed values: 0 1 2
RenewalLeadDaysSnapshot

Lead time captured from the renewal policy at issue time.

integer format: int32
nullable
RenewalExternalPolicyKeySnapshot

External renewal policy key captured at issue time.

string
nullable
AllowedActions

Server-computed runtime actions available on an entitlement detail.

object
CanRenew
boolean
CanSuspend
boolean
CanResume
boolean
CanRevoke
boolean
CanExpire
boolean
CanConsume
boolean
CanReverse
boolean
CanAdjust
boolean
RowVersion

Optimistic concurrency token for entitlement mutations.

string format: uuid
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"ModelType": 0,
"Status": 0,
"EffectiveState": 0,
"SourceType": 0,
"Periods": [
{
"Status": 0
}
],
"Limits": [
{
"LimitFamily": 0
}
],
"QuantityLedger": [
{
"Operation": 0,
"SourceType": 0
}
],
"RenewalModeSnapshot": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Runtime entitlement detail response returned after reads, grants, renewals, lifecycle actions, and quantity operations.

object
Id

Stable entitlement identifier.

string
nullable
EntitlementNumber

Human-readable entitlement number used for support, audit review, and external references.

integer format: int64
EntitlementModelId

Entitlement model that owns the issued entitlement.

string
nullable
EntitlementModelDisplayName

Display name of the owning entitlement model.

string
nullable
ModelType
integer format: int32
Allowed values: 0 1 2 3
EntitlementPlanId

Plan snapshot used to issue the entitlement.

string
nullable
EntitlementPlanDisplayName

Display name of the issued plan.

string
nullable
EntitlementPlanDescription

Optional plan description captured for detail display.

string
nullable
Owner

Compact customer-owned entity instance reference.

object
EntityDefinitionId
string
nullable
EntityDisplayName
string
nullable
EntityInstanceId
string
nullable
DisplayName
string
nullable
Status
integer format: int32
Allowed values: 0 1 2 3 4 5 6
EffectiveState
integer format: int32
Allowed values: 0 1 2 3 4 5 6 8
StartsAtUtc

UTC instant when the entitlement becomes effective.

string format: date-time
EndsAtUtc

Optional UTC instant when the entitlement period ends.

string format: date-time
nullable
GraceUntilUtc

Optional UTC instant when the grace window ends.

string format: date-time
nullable
IssuedAtUtc

UTC instant when the entitlement was issued.

string format: date-time
IssuedByUserId

User id that issued the entitlement when available.

string
nullable
SourceType
integer format: int32
Allowed values: 0 1 2 3 4
SourceData

Optional source metadata captured with the issuing command.

string
nullable
IssuedTermsTextSnapshot

Terms text captured at issue time when the plan uses issued terms.

string
nullable
IssuedTermsCapturedAtUtc

UTC instant when issued terms were captured.

string format: date-time
nullable
Periods

Issued period history for the entitlement.

Array<object>
nullable

Issued period snapshot shown on entitlement detail.

object
Id
string
nullable
PeriodNumber
integer format: int32
StartsAtUtc
string format: date-time
EndsAtUtc
string format: date-time
nullable
GraceUntilUtc
string format: date-time
nullable
Status
integer format: int32
Allowed values: 0 1 2 3 4 5
Limits

Issued quantity or usage limits.

Array<object>
nullable

Issued limit snapshot shown on entitlement detail.

object
Id
string
nullable
LimitFamily
integer format: int32
Allowed values: 0 1 2 3
GrantedAmount
number format: double
nullable
AvailableAmount
number format: double
nullable
StartsAtUtc
string format: date-time
nullable
EndsAtUtc
string format: date-time
nullable
GraceUntilUtc
string format: date-time
nullable
ConsumedAmountSnapshot
number format: double
IsActive
boolean
RowVersion
string format: uuid
QuantityLedger

Recent quantity ledger rows shown on the detail response.

Array<object>
nullable

Compact quantity ledger row shown on entitlement detail.

object
Id
string
nullable
EntitlementLimitId
string
nullable
Operation
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8
Quantity
number format: double
BalanceAfter
number format: double
nullable
ReversesLedgerEntryId
string
nullable
ReversibleQuantity
number format: double
ReasonCode
string
nullable
ReasonText
string
nullable
SourceType
integer format: int32
Allowed values: 0 1 2 3 4
SourceData
string
nullable
ActorUserId
string
nullable
OccurredAtUtc
string format: date-time
CorrelationId
string
nullable
Resources

Covered resources attached to the entitlement.

Array<object>
nullable

Issued resource snapshot shown on entitlement detail.

object
Id
string
nullable
ResourceRoleId
string
nullable
ResourceRoleDisplayName
string
nullable
Resource

Compact customer-owned entity instance reference.

object
EntityDefinitionId
string
nullable
EntityDisplayName
string
nullable
EntityInstanceId
string
nullable
DisplayName
string
nullable
SortOrder
integer format: int32
Beneficiaries

Explicit beneficiaries attached to the entitlement.

Array<object>
nullable

Issued beneficiary snapshot shown on entitlement detail.

object
Id
string
nullable
BeneficiaryPartyRoleId
string
nullable
BeneficiaryPartyRoleDisplayName
string
nullable
Beneficiary

Compact customer-owned entity instance reference.

object
EntityDefinitionId
string
nullable
EntityDisplayName
string
nullable
EntityInstanceId
string
nullable
DisplayName
string
nullable
SortOrder
integer format: int32
RenewalPolicyIdSnapshot

Renewal policy id captured from the plan at issue time.

string
nullable
RenewalPolicyKeySnapshot

Renewal policy key captured from the plan at issue time.

string
nullable
RenewalModeSnapshot
integer format: int32
Allowed values: 0 1 2
RenewalLeadDaysSnapshot

Lead time captured from the renewal policy at issue time.

integer format: int32
nullable
RenewalExternalPolicyKeySnapshot

External renewal policy key captured at issue time.

string
nullable
AllowedActions

Server-computed runtime actions available on an entitlement detail.

object
CanRenew
boolean
CanSuspend
boolean
CanResume
boolean
CanRevoke
boolean
CanExpire
boolean
CanConsume
boolean
CanReverse
boolean
CanAdjust
boolean
RowVersion

Optimistic concurrency token for entitlement mutations.

string format: uuid
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"ModelType": 0,
"Status": 0,
"EffectiveState": 0,
"SourceType": 0,
"Periods": [
{
"Status": 0
}
],
"Limits": [
{
"LimitFamily": 0
}
],
"QuantityLedger": [
{
"Operation": 0,
"SourceType": 0
}
],
"RenewalModeSnapshot": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Runtime entitlement detail response returned after reads, grants, renewals, lifecycle actions, and quantity operations.

object
Id

Stable entitlement identifier.

string
nullable
EntitlementNumber

Human-readable entitlement number used for support, audit review, and external references.

integer format: int64
EntitlementModelId

Entitlement model that owns the issued entitlement.

string
nullable
EntitlementModelDisplayName

Display name of the owning entitlement model.

string
nullable
ModelType
integer format: int32
Allowed values: 0 1 2 3
EntitlementPlanId

Plan snapshot used to issue the entitlement.

string
nullable
EntitlementPlanDisplayName

Display name of the issued plan.

string
nullable
EntitlementPlanDescription

Optional plan description captured for detail display.

string
nullable
Owner

Compact customer-owned entity instance reference.

object
EntityDefinitionId
string
nullable
EntityDisplayName
string
nullable
EntityInstanceId
string
nullable
DisplayName
string
nullable
Status
integer format: int32
Allowed values: 0 1 2 3 4 5 6
EffectiveState
integer format: int32
Allowed values: 0 1 2 3 4 5 6 8
StartsAtUtc

UTC instant when the entitlement becomes effective.

string format: date-time
EndsAtUtc

Optional UTC instant when the entitlement period ends.

string format: date-time
nullable
GraceUntilUtc

Optional UTC instant when the grace window ends.

string format: date-time
nullable
IssuedAtUtc

UTC instant when the entitlement was issued.

string format: date-time
IssuedByUserId

User id that issued the entitlement when available.

string
nullable
SourceType
integer format: int32
Allowed values: 0 1 2 3 4
SourceData

Optional source metadata captured with the issuing command.

string
nullable
IssuedTermsTextSnapshot

Terms text captured at issue time when the plan uses issued terms.

string
nullable
IssuedTermsCapturedAtUtc

UTC instant when issued terms were captured.

string format: date-time
nullable
Periods

Issued period history for the entitlement.

Array<object>
nullable

Issued period snapshot shown on entitlement detail.

object
Id
string
nullable
PeriodNumber
integer format: int32
StartsAtUtc
string format: date-time
EndsAtUtc
string format: date-time
nullable
GraceUntilUtc
string format: date-time
nullable
Status
integer format: int32
Allowed values: 0 1 2 3 4 5
Limits

Issued quantity or usage limits.

Array<object>
nullable

Issued limit snapshot shown on entitlement detail.

object
Id
string
nullable
LimitFamily
integer format: int32
Allowed values: 0 1 2 3
GrantedAmount
number format: double
nullable
AvailableAmount
number format: double
nullable
StartsAtUtc
string format: date-time
nullable
EndsAtUtc
string format: date-time
nullable
GraceUntilUtc
string format: date-time
nullable
ConsumedAmountSnapshot
number format: double
IsActive
boolean
RowVersion
string format: uuid
QuantityLedger

Recent quantity ledger rows shown on the detail response.

Array<object>
nullable

Compact quantity ledger row shown on entitlement detail.

object
Id
string
nullable
EntitlementLimitId
string
nullable
Operation
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8
Quantity
number format: double
BalanceAfter
number format: double
nullable
ReversesLedgerEntryId
string
nullable
ReversibleQuantity
number format: double
ReasonCode
string
nullable
ReasonText
string
nullable
SourceType
integer format: int32
Allowed values: 0 1 2 3 4
SourceData
string
nullable
ActorUserId
string
nullable
OccurredAtUtc
string format: date-time
CorrelationId
string
nullable
Resources

Covered resources attached to the entitlement.

Array<object>
nullable

Issued resource snapshot shown on entitlement detail.

object
Id
string
nullable
ResourceRoleId
string
nullable
ResourceRoleDisplayName
string
nullable
Resource

Compact customer-owned entity instance reference.

object
EntityDefinitionId
string
nullable
EntityDisplayName
string
nullable
EntityInstanceId
string
nullable
DisplayName
string
nullable
SortOrder
integer format: int32
Beneficiaries

Explicit beneficiaries attached to the entitlement.

Array<object>
nullable

Issued beneficiary snapshot shown on entitlement detail.

object
Id
string
nullable
BeneficiaryPartyRoleId
string
nullable
BeneficiaryPartyRoleDisplayName
string
nullable
Beneficiary

Compact customer-owned entity instance reference.

object
EntityDefinitionId
string
nullable
EntityDisplayName
string
nullable
EntityInstanceId
string
nullable
DisplayName
string
nullable
SortOrder
integer format: int32
RenewalPolicyIdSnapshot

Renewal policy id captured from the plan at issue time.

string
nullable
RenewalPolicyKeySnapshot

Renewal policy key captured from the plan at issue time.

string
nullable
RenewalModeSnapshot
integer format: int32
Allowed values: 0 1 2
RenewalLeadDaysSnapshot

Lead time captured from the renewal policy at issue time.

integer format: int32
nullable
RenewalExternalPolicyKeySnapshot

External renewal policy key captured at issue time.

string
nullable
AllowedActions

Server-computed runtime actions available on an entitlement detail.

object
CanRenew
boolean
CanSuspend
boolean
CanResume
boolean
CanRevoke
boolean
CanExpire
boolean
CanConsume
boolean
CanReverse
boolean
CanAdjust
boolean
RowVersion

Optimistic concurrency token for entitlement mutations.

string format: uuid
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"ModelType": 0,
"Status": 0,
"EffectiveState": 0,
"SourceType": 0,
"Periods": [
{
"Status": 0
}
],
"Limits": [
{
"LimitFamily": 0
}
],
"QuantityLedger": [
{
"Operation": 0,
"SourceType": 0
}
],
"RenewalModeSnapshot": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Conflict

Media typeapplication/json
object
Data

Runtime entitlement detail response returned after reads, grants, renewals, lifecycle actions, and quantity operations.

object
Id

Stable entitlement identifier.

string
nullable
EntitlementNumber

Human-readable entitlement number used for support, audit review, and external references.

integer format: int64
EntitlementModelId

Entitlement model that owns the issued entitlement.

string
nullable
EntitlementModelDisplayName

Display name of the owning entitlement model.

string
nullable
ModelType
integer format: int32
Allowed values: 0 1 2 3
EntitlementPlanId

Plan snapshot used to issue the entitlement.

string
nullable
EntitlementPlanDisplayName

Display name of the issued plan.

string
nullable
EntitlementPlanDescription

Optional plan description captured for detail display.

string
nullable
Owner

Compact customer-owned entity instance reference.

object
EntityDefinitionId
string
nullable
EntityDisplayName
string
nullable
EntityInstanceId
string
nullable
DisplayName
string
nullable
Status
integer format: int32
Allowed values: 0 1 2 3 4 5 6
EffectiveState
integer format: int32
Allowed values: 0 1 2 3 4 5 6 8
StartsAtUtc

UTC instant when the entitlement becomes effective.

string format: date-time
EndsAtUtc

Optional UTC instant when the entitlement period ends.

string format: date-time
nullable
GraceUntilUtc

Optional UTC instant when the grace window ends.

string format: date-time
nullable
IssuedAtUtc

UTC instant when the entitlement was issued.

string format: date-time
IssuedByUserId

User id that issued the entitlement when available.

string
nullable
SourceType
integer format: int32
Allowed values: 0 1 2 3 4
SourceData

Optional source metadata captured with the issuing command.

string
nullable
IssuedTermsTextSnapshot

Terms text captured at issue time when the plan uses issued terms.

string
nullable
IssuedTermsCapturedAtUtc

UTC instant when issued terms were captured.

string format: date-time
nullable
Periods

Issued period history for the entitlement.

Array<object>
nullable

Issued period snapshot shown on entitlement detail.

object
Id
string
nullable
PeriodNumber
integer format: int32
StartsAtUtc
string format: date-time
EndsAtUtc
string format: date-time
nullable
GraceUntilUtc
string format: date-time
nullable
Status
integer format: int32
Allowed values: 0 1 2 3 4 5
Limits

Issued quantity or usage limits.

Array<object>
nullable

Issued limit snapshot shown on entitlement detail.

object
Id
string
nullable
LimitFamily
integer format: int32
Allowed values: 0 1 2 3
GrantedAmount
number format: double
nullable
AvailableAmount
number format: double
nullable
StartsAtUtc
string format: date-time
nullable
EndsAtUtc
string format: date-time
nullable
GraceUntilUtc
string format: date-time
nullable
ConsumedAmountSnapshot
number format: double
IsActive
boolean
RowVersion
string format: uuid
QuantityLedger

Recent quantity ledger rows shown on the detail response.

Array<object>
nullable

Compact quantity ledger row shown on entitlement detail.

object
Id
string
nullable
EntitlementLimitId
string
nullable
Operation
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8
Quantity
number format: double
BalanceAfter
number format: double
nullable
ReversesLedgerEntryId
string
nullable
ReversibleQuantity
number format: double
ReasonCode
string
nullable
ReasonText
string
nullable
SourceType
integer format: int32
Allowed values: 0 1 2 3 4
SourceData
string
nullable
ActorUserId
string
nullable
OccurredAtUtc
string format: date-time
CorrelationId
string
nullable
Resources

Covered resources attached to the entitlement.

Array<object>
nullable

Issued resource snapshot shown on entitlement detail.

object
Id
string
nullable
ResourceRoleId
string
nullable
ResourceRoleDisplayName
string
nullable
Resource

Compact customer-owned entity instance reference.

object
EntityDefinitionId
string
nullable
EntityDisplayName
string
nullable
EntityInstanceId
string
nullable
DisplayName
string
nullable
SortOrder
integer format: int32
Beneficiaries

Explicit beneficiaries attached to the entitlement.

Array<object>
nullable

Issued beneficiary snapshot shown on entitlement detail.

object
Id
string
nullable
BeneficiaryPartyRoleId
string
nullable
BeneficiaryPartyRoleDisplayName
string
nullable
Beneficiary

Compact customer-owned entity instance reference.

object
EntityDefinitionId
string
nullable
EntityDisplayName
string
nullable
EntityInstanceId
string
nullable
DisplayName
string
nullable
SortOrder
integer format: int32
RenewalPolicyIdSnapshot

Renewal policy id captured from the plan at issue time.

string
nullable
RenewalPolicyKeySnapshot

Renewal policy key captured from the plan at issue time.

string
nullable
RenewalModeSnapshot
integer format: int32
Allowed values: 0 1 2
RenewalLeadDaysSnapshot

Lead time captured from the renewal policy at issue time.

integer format: int32
nullable
RenewalExternalPolicyKeySnapshot

External renewal policy key captured at issue time.

string
nullable
AllowedActions

Server-computed runtime actions available on an entitlement detail.

object
CanRenew
boolean
CanSuspend
boolean
CanResume
boolean
CanRevoke
boolean
CanExpire
boolean
CanConsume
boolean
CanReverse
boolean
CanAdjust
boolean
RowVersion

Optimistic concurrency token for entitlement mutations.

string format: uuid
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"ModelType": 0,
"Status": 0,
"EffectiveState": 0,
"SourceType": 0,
"Periods": [
{
"Status": 0
}
],
"Limits": [
{
"LimitFamily": 0
}
],
"QuantityLedger": [
{
"Operation": 0,
"SourceType": 0
}
],
"RenewalModeSnapshot": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}